package domain


type AlibabaRetailMarketingBuygiftActivityQueryBuyGiftPromotionActivityDTO struct {
    /*
        买赠活动类型     */
    DiscountType  *int64 `json:"discount_type,omitempty" `

    /*
        外部订单号     */
    OutActId  *string `json:"out_act_id,omitempty" `

    /*
        营销活动ID     */
    ActId  *string `json:"act_id,omitempty" `

    /*
        活动名称     */
    ActivityName  *string `json:"activity_name,omitempty" `

    /*
        活动描述     */
    Description  *string `json:"description,omitempty" `

    /*
        活动开始时间     */
    StartTime  *int64 `json:"start_time,omitempty" `

    /*
        活动结束时间     */
    EndTime  *int64 `json:"end_time,omitempty" `

    /*
        活动周几生效     */
    Weekdays  *[]string `json:"weekdays,omitempty" `

    /*
        活动每天生效时间段     */
    EveryDayPeriods  *[]string `json:"every_day_periods,omitempty" `

    /*
        优惠适用场景:1:APP  2:POS     */
    Terminals  *[]int32 `json:"terminals,omitempty" `

    /*
        操作人ID     */
    CreatorId  *string `json:"creator_id,omitempty" `

    /*
        操作人姓名     */
    CreatorName  *string `json:"creator_name,omitempty" `

    /*
        门店列表     */
    StoreIds  *[]string `json:"store_ids,omitempty" `

    /*
        外部门店列表     */
    OuterStoreIds  *[]string `json:"outer_store_ids,omitempty" `

    /*
        人群编码,saas平台人群编码:NEW_USER: 新用户, OLD_USER：老用户，LIGHT_NEW_USER：闪购新客     */
    MemberCrowdCodes  *[]string `json:"member_crowd_codes,omitempty" `

    /*
        限购信息     */
    Limit  *AlibabaRetailMarketingBuygiftActivityQueryLimitDTO `json:"limit,omitempty" `

}

func (s *AlibabaRetailMarketingBuygiftActivityQueryBuyGiftPromotionActivityDTO) SetDiscountType(v int64) *AlibabaRetailMarketingBuygiftActivityQueryBuyGiftPromotionActivityDTO {
    s.DiscountType = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivityQueryBuyGiftPromotionActivityDTO) SetOutActId(v string) *AlibabaRetailMarketingBuygiftActivityQueryBuyGiftPromotionActivityDTO {
    s.OutActId = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivityQueryBuyGiftPromotionActivityDTO) SetActId(v string) *AlibabaRetailMarketingBuygiftActivityQueryBuyGiftPromotionActivityDTO {
    s.ActId = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivityQueryBuyGiftPromotionActivityDTO) SetActivityName(v string) *AlibabaRetailMarketingBuygiftActivityQueryBuyGiftPromotionActivityDTO {
    s.ActivityName = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivityQueryBuyGiftPromotionActivityDTO) SetDescription(v string) *AlibabaRetailMarketingBuygiftActivityQueryBuyGiftPromotionActivityDTO {
    s.Description = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivityQueryBuyGiftPromotionActivityDTO) SetStartTime(v int64) *AlibabaRetailMarketingBuygiftActivityQueryBuyGiftPromotionActivityDTO {
    s.StartTime = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivityQueryBuyGiftPromotionActivityDTO) SetEndTime(v int64) *AlibabaRetailMarketingBuygiftActivityQueryBuyGiftPromotionActivityDTO {
    s.EndTime = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivityQueryBuyGiftPromotionActivityDTO) SetWeekdays(v []string) *AlibabaRetailMarketingBuygiftActivityQueryBuyGiftPromotionActivityDTO {
    s.Weekdays = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivityQueryBuyGiftPromotionActivityDTO) SetEveryDayPeriods(v []string) *AlibabaRetailMarketingBuygiftActivityQueryBuyGiftPromotionActivityDTO {
    s.EveryDayPeriods = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivityQueryBuyGiftPromotionActivityDTO) SetTerminals(v []int32) *AlibabaRetailMarketingBuygiftActivityQueryBuyGiftPromotionActivityDTO {
    s.Terminals = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivityQueryBuyGiftPromotionActivityDTO) SetCreatorId(v string) *AlibabaRetailMarketingBuygiftActivityQueryBuyGiftPromotionActivityDTO {
    s.CreatorId = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivityQueryBuyGiftPromotionActivityDTO) SetCreatorName(v string) *AlibabaRetailMarketingBuygiftActivityQueryBuyGiftPromotionActivityDTO {
    s.CreatorName = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivityQueryBuyGiftPromotionActivityDTO) SetStoreIds(v []string) *AlibabaRetailMarketingBuygiftActivityQueryBuyGiftPromotionActivityDTO {
    s.StoreIds = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivityQueryBuyGiftPromotionActivityDTO) SetOuterStoreIds(v []string) *AlibabaRetailMarketingBuygiftActivityQueryBuyGiftPromotionActivityDTO {
    s.OuterStoreIds = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivityQueryBuyGiftPromotionActivityDTO) SetMemberCrowdCodes(v []string) *AlibabaRetailMarketingBuygiftActivityQueryBuyGiftPromotionActivityDTO {
    s.MemberCrowdCodes = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivityQueryBuyGiftPromotionActivityDTO) SetLimit(v AlibabaRetailMarketingBuygiftActivityQueryLimitDTO) *AlibabaRetailMarketingBuygiftActivityQueryBuyGiftPromotionActivityDTO {
    s.Limit = &v
    return s
}
